curl "https://api.smartcar.com/v2.0/vehicles/{id}/security" \
-H "Authorization: Bearer {token}" \
-X "GET"
lock_status = vehicle.lock_status()
const lockStatus = await vehicle.lockStatus();
LockStatus lockStatus = vehicle.lockStatus();
lock_status = vehicle.lock_status
{
"isLocked" : false,
"doors" : [
{"type": "frontLeft" , "status" : "CLOSED"},
{"type": "frontRight" , "status" : "OPEN"},
{"type": "backRight" , "status" : "CLOSED"},
{"type": "backLeft" , "status" : "CLOSED"}
],
"windows" : [
{"type": "frontLeft" , "status" : "CLOSED"},
{"type": "frontRight" , "status" : "CLOSED"},
{"type": "backRight" , "status" : "UNKNOWN"},
{"type": "backLeft" , "status" : "CLOSED"}
],
"sunroof" : [
{"type": "sunroof" , "status" : "CLOSED"}
],
"storage" : [
{"type": "rear" , "status" : "UNKNOWN"},
{"type": "front" , "status" : "CLOSED"}
],
"chargingPort" : [
{"type" : "chargingPort", "status" : "CLOSED" }
]
}
Vehicle Data
Lock Status
Returns the lock status for a vehicle and the open status of its doors, windows, storage units, sunroof and charging port where available.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/security" \
-H "Authorization: Bearer {token}" \
-X "GET"
lock_status = vehicle.lock_status()
const lockStatus = await vehicle.lockStatus();
LockStatus lockStatus = vehicle.lockStatus();
lock_status = vehicle.lock_status
{
"isLocked" : false,
"doors" : [
{"type": "frontLeft" , "status" : "CLOSED"},
{"type": "frontRight" , "status" : "OPEN"},
{"type": "backRight" , "status" : "CLOSED"},
{"type": "backLeft" , "status" : "CLOSED"}
],
"windows" : [
{"type": "frontLeft" , "status" : "CLOSED"},
{"type": "frontRight" , "status" : "CLOSED"},
{"type": "backRight" , "status" : "UNKNOWN"},
{"type": "backLeft" , "status" : "CLOSED"}
],
"sunroof" : [
{"type": "sunroof" , "status" : "CLOSED"}
],
"storage" : [
{"type": "rear" , "status" : "UNKNOWN"},
{"type": "front" , "status" : "CLOSED"}
],
"chargingPort" : [
{"type" : "chargingPort", "status" : "CLOSED" }
]
}
The Vehicles API v2.0 will be deprecated on December 1, 2026. The latest version, v3, was introduced on August 26, 2025. We recommend migrating as soon as possible to ensure continued support and access to new features.
Permission
read_security
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/security" \
-H "Authorization: Bearer {token}" \
-X "GET"
lock_status = vehicle.lock_status()
const lockStatus = await vehicle.lockStatus();
LockStatus lockStatus = vehicle.lockStatus();
lock_status = vehicle.lock_status
Response
boolean
Indicates the current lock status of the vehicle as reported by the OEM.
[object]
[object]
[object]
[object]
An array of the open status of the vehicle’s storages.
For internal combustion and plug-in hybrid vehicles front refers to the engine hood.
For battery vehicles, this will be the front trunk.
[object]
{
"isLocked" : false,
"doors" : [
{"type": "frontLeft" , "status" : "CLOSED"},
{"type": "frontRight" , "status" : "OPEN"},
{"type": "backRight" , "status" : "CLOSED"},
{"type": "backLeft" , "status" : "CLOSED"}
],
"windows" : [
{"type": "frontLeft" , "status" : "CLOSED"},
{"type": "frontRight" , "status" : "CLOSED"},
{"type": "backRight" , "status" : "UNKNOWN"},
{"type": "backLeft" , "status" : "CLOSED"}
],
"sunroof" : [
{"type": "sunroof" , "status" : "CLOSED"}
],
"storage" : [
{"type": "rear" , "status" : "UNKNOWN"},
{"type": "front" , "status" : "CLOSED"}
],
"chargingPort" : [
{"type" : "chargingPort", "status" : "CLOSED" }
]
}
Notes
- The open status array(s) will be empty if a vehicle has partial support.
- The request will error if
lockStatuscan not be retrieved from the vehicle or the brand is not supported.
Was this page helpful?

